FreeMat

- Main Page
- Related Pages

vtkUnstructuredGridVolumeRayCastFunction

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkUnstructuredGridVolumeRayCastFunction is a superclass for ray casting functions that can be used within a vtkUnstructuredGridVolumeRayCastMapper.

To create an instance of class vtkUnstructuredGridVolumeRayCastFunction, simply invoke its constructor as follows

      obj = vtkUnstructuredGridVolumeRayCastFunction

# Methods

The class vtkUnstructuredGridVolumeRayCastFunction has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnstructuredGridVolumeRayCastFunction class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnstructuredGridVolumeRayCastFunction = obj.NewInstance ()`
- `vtkUnstructuredGridVolumeRayCastFunction = obj.SafeDownCast (vtkObject o)`